Bug 82579 - can not print to my printer attached to a windows 2000 pc
can not print to my printer attached to a windows 2000 pc
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: cups (Show other bugs)
phoebe
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-23 11:40 EST by Don Hardaway
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-24 09:48:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Hardaway 2003-01-23 11:40:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030115

Description of problem:
Set up printer.  Try to send a test page.  can't print it says:  lpr: unable to
print file: server-error-service-unavailable

It used to be able to print the test page in beta 1 but now in beta 2 it gives
this error message.  Also in beta 1 although it would print the test page it
would not print from any word processor or editor.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.click printer icon
2.click send test page
3.
    

Actual Results:  error message generated

Expected Results:  test page prints and from other applications.

Additional info:
Comment 1 Tim Waugh 2003-01-23 11:52:23 EST
What kind of printer is it?  Is it locally connected or remote (SMB, JetDirect,
etc)?  If it's remote, has anything changed on the server?  Can you print from
other machines?
Comment 2 Tim Waugh 2003-01-23 11:54:12 EST
Oh, wait, it's a Windows-attached printer isn't it? (Hadn't read the summary..)

What does 'smbclient -L windows' say (with 'windows' replaced by the name of the
Windows machine)?
Comment 3 Don Hardaway 2003-01-23 21:32:39 EST
[root@dhcppc3 hardaway]# smbclient -L Nick
added interface ip=192.168.0.4 bcast=192.168.0.255 nmask=255.255.255.0
Got a positive name query response from 192.168.0.2 ( 192.168.0.2 )
Password:
Anonymous login successful
Domain=[CORPORATE_NT] OS=[Windows 5.0] Server=[Windows 2000 LAN Manager]
 
        Sharename      Type      Comment
        ---------      ----      -------
Error returning browse list: NT_STATUS_ACCESS_DENIED
 
        Server               Comment
        ---------            -------
        NICK
 
        Workgroup            Master
        ---------            -------
        CORPORATE_NT         NICK
        OEMWORKGROUP         P80B24YDBBGVMHO
Comment 4 Tim Waugh 2003-01-24 04:12:17 EST
Can you try printing something using smbclient?  The syntax is:

smbclient //Nick/share 'password' -N -P -U user

with your own user and password, if needed (are they needed for this machine?).
 Then when you get a prompt, 'print /etc/fstab' and see if it prints.
Comment 5 Don Hardaway 2003-01-24 08:08:59 EST
i followed you instructions changing share to HPLaserJ which the share name for
the printer and userid, password stuff.  It connected without any complaints. 
Then I printed fstab but only the first line in fstab came out on the printer.
Comment 6 Tim Waugh 2003-01-24 08:16:03 EST
In /etc/cups/printers.conf there will be a section for that printer.  What does
the DeviceURI line look like?
Comment 7 Don Hardaway 2003-01-24 09:12:05 EST
DeviceURI smb://hardawayd@corporate_nt/Nick/hplaserj
Comment 8 Tim Waugh 2003-01-24 09:21:13 EST
What version of redhat-config-printer are you using?  If prior to 0.6.27, please
try the latest version from rawhide:

ftp://ftp.redhat.com/pub/redhat/linux/rawhide/i386/RedHat/RPMS

Comment 9 Don Hardaway 2003-01-24 09:48:42 EST
I have the latest now and launched it and edit my printer config applied and
exited.  It now appears to be working properly.   Thank You!!  

Note You need to log in before you can comment on or make changes to this bug.